ALTER TABLE ProdPrecCrudo ADD CodCiudad VARCHAR(8)
GO
ALTER TABLE Trn_OilDespClieProd ADD CantBruto DECIMAL(16,6) DEFAULT(0) NOT NULL
GO
INSERT INTO ClaseSub (IdClase,NomClase,Inactivo)
VALUES ('0032','PROVISION DE VENTAS',0)
GO
INSERT INTO adm_Opciones (IdOpc,Opcion,TipoDato,Valor,NivUp,nModulo)
 VALUES ('DCD','DESCUENTO EN DETALLE FACTURACION DE COMBUSTIBLE','BOOLEAN','0',4,'MAIN')
INSERT INTO adm_Opciones (IdOpc,Opcion,TipoDato,Valor,NivUp,nModulo)
 VALUES ('UMC','UNIDAD DE MEDIDA DE DESPACHOS DE COMBUSTIBLE PREDETERMINADA','VARCHAR','gal',4,'MAIN')
GO
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMDFCB','OILDOC','GEN',14,'Factura de Venta de Combustible','FRMDFCB','SSSSSSSSSSSSS',0,'')
GO
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','ADC','Modificar o Anular documento creado en otra compañía')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','BLO','Permitir Cliente bloqueado')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','CIA','Cambiar de Compañía')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','DCT','Permitir Seleccionar Tarifa de descuento')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','DPP','Permitir Incluir descuento pronto pago')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','FEC','Habilitar Fecha Abierta')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','FOR','Modificar Forma de pago')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','LUG','Modificar Ciudad Destino')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','MCO','Modificar Información del Contacto')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','MOD','Modificar Documento')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','MOR','Permitir Cliente en Mora')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','PZO','Modificar Días de Plazo')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','VEN','Modificar Vendedor predeterminado')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','GUI','Permitir Guías Facturadas')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','PRE','Permitir Editar Precio Unitario')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','UND','Permitir seleccionar Unidad de Medida')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','IVA','Permitir Seleccionar Tarifa de Iva')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','RTC','Permitir Seleccionar retención Cree')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDFCB','CUP','Facturar excediendo cupo de crédito')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDIFT','CIE','Permitir Anular Documento Cerrado')
GO
CREATE TABLE Trn_OilFacturaProd ( 
TipDoc VARCHAR(3) DEFAULT ('FCR') NOT NULL,
Factura INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdTanque VARCHAR(4) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetFte DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrRetIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
FleteUnd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUnit DECIMAL(16,6) DEFAULT ((0)),
Temperatura DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TempLab DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UnidTemp CHAR(1),
ValorAPI DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
API_Corregido DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Densidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipoProd VARCHAR(10) NOT NULL,
TipGuia VARCHAR(3),
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCiaGuia CHAR(2),
CantGuia DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
IndMezcla INT DEFAULT ((0)) NOT NULL,
ItemMezcla INT DEFAULT ((0)) NOT NULL,
FactorMezcla DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
NumTasas INT DEFAULT ((0)) NOT NULL,
TasaBrent DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TasaWti DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TRMdolar DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Puntos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarDct VARCHAR(4),
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
CdMoneda VARCHAR(5),
CodSicomPro VARCHAR(20),
CodBodega VARCHAR(4)
 CONSTRAINT PK_Trn_OilFacturaProd PRIMARY KEY CLUSTERED (TipDoc,Factura,IdCia,Item),
 CONSTRAINT CK_Trn_OilFacturaProdDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_Trn_OilFacturaProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilFacturaProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilFacturaProdIdTanque CHECK ((len([IdTanque])>(0))),
 CONSTRAINT CK_Trn_OilFacturaProdTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilFacturaProdTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_Trn_OilFacturaProdUndMed CHECK ((len([UndMed])>(0))))
GO
ALTER TABLE Trn_OilFacturaProd ADD 
 CONSTRAINT FK_Trn_OilFacturaProd_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilFacturaProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilFacturaProd_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed)

 CREATE NONCLUSTERED INDEX IX_Trn_OilFacturaProdIdProducto ON Trn_OilFacturaProd(IdProducto)
